.. _sec-plugins-mixins:

Available plugin mixins
=======================

The following plugin mixins are currently available:

.. contents::
   :local:

Please note that all plugin mixins inherit from :class:`~octoprint.plugin.core.Plugin` and
:class:`~octoprint.plugin.types.OctoPrintPlugin`,  which also provide attributes of interest to plugin developers.

.. _sec-plugins-mixins-startupplugin:

StartupPlugin
-------------

.. autoclass:: octoprint.plugin.StartupPlugin
   :members:

.. _sec-plugins-mixins-shutdownplugin:

ShutdownPlugin
--------------

.. autoclass:: octoprint.plugin.ShutdownPlugin
   :members:

.. _sec-plugins-mixins-settingsplugin:

SettingsPlugin
--------------

.. autoclass:: octoprint.plugin.SettingsPlugin
   :members:

.. _sec-plugins-mixins-assetplugin:

AssetPlugin
-----------

.. autoclass:: octoprint.plugin.AssetPlugin
   :members:

.. _sec-plugins-mixins-templateplugin:

TemplatePlugin
--------------

.. autoclass:: octoprint.plugin.TemplatePlugin
   :members:

.. _sec-plugins-mixins-simpleapiplugin:

SimpleApiPlugin
---------------

.. autoclass:: octoprint.plugin.SimpleApiPlugin
   :members:

.. _sec-plugins-mixins-blueprintplugin:

BlueprintPlugin
---------------

.. autoclass:: octoprint.plugin.BlueprintPlugin
   :members:

.. _sec-plugins-mixins-eventhandlerplugin:

EventHandlerPlugin
------------------

.. autoclass:: octoprint.plugin.EventHandlerPlugin
   :members:

.. _sec-plugins-mixins-progressplugin:

ProgressPlugin
--------------

.. autoclass:: octoprint.plugin.ProgressPlugin
   :members:

.. _sec-plugins-mixins-slicerplugin:

SlicerPlugin
------------

.. autoclass:: octoprint.plugin.SlicerPlugin
   :members:

